<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="WorkFlowMessage"   package="performa.orm">
        <IMPORT value="performa.orm.types.*"/>
                
        <TABLE  name="tl_work_flow_message"    tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="Delay"                type="String"       dbcol="delay"                       mandatory="false"/>
            <ATTRIB name="Variance"             type="String"       dbcol="variance"                    mandatory="false"/>
            <ATTRIB name="BusinessHoursOnly"    type="Boolean"      dbcol="business_hours_only"         mandatory="false"/>
            <ATTRIB name="IsWithdrawalMessage"  type="Boolean"      dbcol="is_withdrawal_message"       mandatory="false"/>

            <SINGLEREFERENCE    name="MessageTemplate"          type="MessageTemplate"          dbcol="message_template_id"  />
            <SINGLEREFERENCE    name="WorkFlowStage"            type="WorkFlowStage"            dbcol="work_flow_stage_id"    backreferenceName="WorkFlowMessages"    mandatory="false"/>

        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_work_flow_message.object_id is not null"   orderBy="tl_work_flow_message.object_id"   />
            
    </BUSINESSCLASS>
    
</ROOT>